SecureProtocolSocketFactory (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.protocol
Interface SecureProtocolSocketFactory

All Superinterfaces:
  ProtocolSocketFactory

All Known Implementing Classes:
  SSLProtocolSocketFactory

    public interface SecureProtocolSocketFactory

extends ProtocolSocketFactory

A ProtocolSocketFactory that is secure.

Since:
  2.0
Author:
  Michael Becke, Mike Bowler
See Also:
  `ProtocolSocketFactory`

Method Summary
`Socket` | `createSocket(Socket socket, String host, int port, boolean autoClose)` Returns a socket connected to the given host that is layered over an existing socket.

Methods inherited from interface org.apache.commons.httpclient.protocol.ProtocolSocketFactory
`createSocket, createSocket, createSocket`

Method Detail

### createSocket

    Socket createSocket(Socket socket,
                        String host,
                        int port,
                        boolean autoClose)
                        throws IOException,
                               UnknownHostException

  Returns a socket connected to the given host that is layered over an existing socket. Used primarily for creating secure sockets through proxies.

  Parameters:
    `socket` - the existing socket
    `host` - the host name/IP
    `port` - the port on the host
    `autoClose` - a flag for closing the underling socket when the created socket is closed
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException` - if the IP address of the host cannot be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.